#
# spec file for package yi
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yi
Version:        0.13.7
Release:        8.1
Summary:        Yi editor
License:        GPL-2.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-microlens-platform-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-yi-core-devel
BuildRequires:  ghc-yi-frontend-pango-devel
BuildRequires:  ghc-yi-frontend-vty-devel
BuildRequires:  ghc-yi-keymap-emacs-devel
BuildRequires:  ghc-yi-keymap-vim-devel
BuildRequires:  ghc-yi-misc-modes-devel
BuildRequires:  ghc-yi-mode-haskell-devel
BuildRequires:  ghc-yi-mode-javascript-devel
BuildRequires:  ghc-yi-rope-devel

%description
Yi editor.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%{_bindir}/%{name}

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Jun 21 2017 psimons@suse.com
- Update to version 0.13.7.
* Fri Feb 24 2017 psimons@suse.com
- Update to version 0.13.5 with cabal2obs.
* Sat Jul 16 2016 psimons@suse.com
- Update to version 0.12.6 revision 0 with cabal2obs.
